       subroutine search_files(i)
      implicit none
      integer i
      character(80) name
      logical opened
      if(i==5.or.i==6.or.i==7) return
      inquire(i,opened=opened)
      if(opened) then
         inquire(i,name=name)
         print*,'found file ',i,'  ',trim(name)
      endif
      end subroutine
      subroutine search_files_tot
      implicit none
      integer i
      do i=1,99
         call search_files(i)
      enddo
      end subroutine
